=== debian/changelog ===
yak-kudzu (0.99.88jp-2) unstable; urgency=medium

  * Fix packaging miss(no actual modules installed...sigh)

 -- Masaharu 'Max' Goto <magotou@users.sourceforge.jp>  Mon, 20 Jan 2003 23:11:00 +0900

yak-kudzu (0.99.88jp-1) unstable; urgency=medium

  * new upstream version from 2003-01-16 for yak-kudzu

 -- Masaharu 'Max' Goto <magotou@users.sourceforge.jp>  Sun, 19 Jan 2003 05:30:00 +0900

kudzu (0.99.50-1) unstable; urgency=medium

  * new upstream version from 2002-04-08

 -- Noel Koethe <noel@debian.org>  Tue, 23 Apr 2002 13:15:00 +0200

kudzu (0.99.49-1) unstable; urgency=low

  * new upstream version from 2002-03-03
    (closes: Bug#133549)
  * upstream splitted the kudzu package into kudzu and hwdata
    (http://packages.debian.org/hwdata)
  * added upstream changelog entries from .spec to Debian
    package
  * added kudzu homepage (http://rhlinux.redhat.com/kudzu/)
    to copyright and the description in control
  * change description to the orginal description from
    redhat.

 -- Noel Koethe <noel@debian.org>  Tue, 12 Feb 2002 13:50:00 +0100

kudzu (0.99.45-1) unstable; urgency=low

  * new upstream version from 2002-01-16
    (closes: Bug#129043)
    (closes: Bug#129695)
  * upstream corrected my following reported bug
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=56527
  * upstream corrected pci.c so that the knoppix patch
    isn't needed anymore
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=56773
  * updated mandrake pcitable to version 1.96 from
    http://www.linux-mandrake.com/cgi-bin/cvsweb.cgi/soft/ldetect-lst/lst/pcitable

 -- Noel Koethe <noel@debian.org>  Thu, 17 Jan 2002 17:15:00 +0100

kudzu (0.99.40-7) unstable; urgency=low

  * fixed error when copying pcitable.
    It was named pcitable-merge instead of pcitable
    (closes: Bug#127429)

 -- Noel Koethe <noel@debian.org>  Sat,  5 Jan 2002 19:59:00 +0100

kudzu (0.99.40-6) unstable; urgency=low

  * kudzu ddcprobe bins only works on i386
    I set the arch to only i386. Maybe I will move the ddcprobe
    binaries to an extra package

 -- Noel Koethe <noel@debian.org>  Mon, 24 Dec 2001 20:00:00 +0100

kudzu (0.99.40-5) unstable; urgency=low

  * corrected archs where kudzu makes sense
    (closes: Bug#121618)
  * added missing programms from ddcprobe directory

 -- Noel Koethe <noel@debian.org>  Fri, 22 Dec 2001 13:44:00 +0100

kudzu (0.99.40-4) unstable; urgency=low

  * add missing directory /etc/sysconfig where kudzu
    places its configuration files
    (closes: Bug#125896)
  * merge the pcitable of redhat and mandrake together and
    put this into kudzu-common
  * corrected debian/control to get a correct handling
    when switch between kudzu-common and kudzu-common-knoppix

 -- Noel Koethe <noel@debian.org>  Thu, 20 Dec 2001 14:44:00 +0100

kudzu (0.99.40-3) unstable; urgency=low

  * corrected minor spelling error in debian/controll
    (closes: Bug#124851)

 -- Noel Koethe <noel@debian.org>  Mon, 17 Dec 2001 23:56:01 +0100

kudzu (0.99.40-2) unstable; urgency=low

  * to have a datafile from redhat or mandrake doesn't make sense
    because we only want hardware detection and it doesn't interest
    us which hardware db we use.
    I will merge the redhat and mandrake and filter the entries which
    are twice in the list.
    There is a kudzu-common-knoppix which have so special changes
    for the knoppix live cd (www.knoppix.de)
  * added a missing -fpic in Makefile which should repair #121618
    (will close the bug if it really works)

 -- Noel Koethe <noel@debian.org>  Sun, 16 Dec 2001 17:43:00 +0100

kudzu (0.99.40-1) unstable; urgency=low

  * new upstream version from:
    ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/
  * moved -common to -data and provides now the original
    redhat hardware db (kudzu-data), the mandrake hardware db
    (kudzu-data-mandrake) and the mandrake hardware db with
    special changes for knoppix (kudzu-data-knoppix)
  * fixed some spelling and grammar erros
    (closes: Bug#122385)
    (closes: Bug#122386)

 -- Noel Koethe <noel@koethe.net>  Sun, 09 Dec 2001 23:30:00 +0100

kudzu (0.99.23-1) unstable; urgency=low

  * took package from Klaus Knopper
  * new version (0.99.23-1)
  * switch from debian native to .orig and .diff
  * splitted into kudzu, -common, -dev
  * (closes: Bug#120505)

 -- Noel Koethe <noel@koethe.net>  Tue, 20 Nov 2001 15:45:00 +0100

kudzu (0.99.2-2) unstable; urgency=low

  * pcitable updates.

 -- Klaus Knopper <knopper@knopper.net>  Thu, 17 Aug 2001 21:35:51 +0200

kudzu (0.99.2-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Knopper <knopper@knopper.net>  Thu, 31 May 2001 23:04:20 +0200

Local variables:
mode: debian-changelog
End:
