=== debian/control ===
Source: yak-kudzu
Section: misc
Priority: optional
Maintainer: Masaharu 'Max' Goto <magotou@users.sourceforge.jp>
Build-Depends: debhelper (>> 3.0.0), pciutils-dev, python-dev, libnewt-dev, libpopt-dev, gettext, perl
Standards-Version: 3.5.2

Package: yak-kudzu
Replaces: kudzu
Conflicts: kudzu
Provides: kudzu
Architecture: i386
Depends: ${shlibs:Depends}, hwdata, python
Description: The Red Hat Linux hardware probing tool.
 This is a hardware probing tool run at system boot time to determine
 what hardware has been added or removed from the system.
 .
 http://rhlinux.redhat.com/kudzu/

Package: yak-kudzu-dev
Replaces: kudzu-dev
Provides: kudzu-dev
Conflicts: kudzu-dev
Section: devel
Architecture: i386
Depends: ${shlibs:Depends}, hwdata, kudzu
Description: Hardware detecting library
 This is the hardware autodetection & configuration tool, originally
 introduced in Red Hat Linux 6.1. It detects changes in the system's
 hardware configuration, and gives the option of configuring
 added or removed devices.
 .
 This package contains the header files and the staticlibs.

Package: yak-kudzu-vesa
Section: devel
Replaces: kudzu-vesa
Provides: kudzu-vesa
Conflicts: kudzu-vesa
Architecture: i386
Depends: ${shlibs:Depends}, hwdata, kudzu
Description: Hardware detecting library
 This is the hardware autodetection & configuration tool, originally
 introduced in Red Hat Linux 6.1. It detects changes in the system's
 hardware configuration, and gives the option of configuring
 added or removed devices.
 .
 This package contains VBE/DDC stuff.
